### File

`packages/eui/packages/components-next/src/lib/components/eui-card/services/ui-state.service.ts`

### Index

###### Methods

- setState
- toggleCollapsed

###### Accessors

- state$
- state
- isCollapsed
- isCollapsible

### Constructor

`constructor()`

### Methods

setState
`setState(nextState: UIState)`

Parameters :

Name | Type | Optional
nextState | `UIState` | No

Returns : `void`

toggleCollapsed
`toggleCollapsed()`
Returns : `void`

### Accessors

state$
get `state$()`

state
get `state()`

isCollapsed
set `isCollapsed(isActive: boolean)`

Parameters :

Name | Type | Optional
isActive | `boolean` | No

Returns : `void`

isCollapsible
set `isCollapsible(isActive: boolean)`

Parameters :

Name | Type | Optional
isActive | `boolean` | No

Returns : `void`

# result-matching ""

# No results matching ""